﻿@model MatrixModelView

<div tabindex="-1" class="modal fade in" id="myModal2" role="dialog" aria-hidden="true" aria-labelledby="myModalLabel" style="display: none;">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #A9AAAB;">
                <button class="close" aria-hidden="true" type="button" data-dismiss="modal">×</button>
                <h4 class="modal-title" id="myModalLabel">@PDM.ProducInfo</h4>
            </div>
            <div class="panel-body limited_height2">

                <!--galeria-->

                <div class="col-md-4">


                    <div class="galeria_pop" style=" width: 100%;">
                        <div id="carousel" class="carousel slide" data-ride="carousel">
                            <div class="carousel-inner">
                                @{
                                    int mCont = 0;
                                    foreach (var item in Model.ModelImagesList)
                                    {
                                        <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                            <img src="/images/@item.U_ModCode/@item.U_File">
                                        </div>
                                        mCont = 1;
                                    }
                                    if (Model.ModelImagesList.Count == 0)
                                    {
                                        <div class='@(mCont == 0 ? "item active" : "item")' data-thumb="0">
                                            <img src="/Content/img/noimage.gif">
                                        </div>
                                    }
                                }
                            </div>
                        </div>
                        <div class="clearfix">
                            <div id="thumbcarousel" class="carousel slide" data-interval="false">
                                <div class="carousel-inner">
                                    @{
                                        for (int i = 0; i < Model.ModelImagesList.Count; i += 4)
                                        {
                                            int index = 0;
                                            if ((i + 3) < Model.ModelImagesList.Count) { index = 4; }
                                            else { index = Model.ModelImagesList.Count - i; }

                                            <div class="@(i == 0 ? "item active" : "item")">
                                                @for (int j = 0; j < index; j++)
                                                {
                                                    <div data-target="#carousel" data-slide-to="@(i + j)" class="thumb">
                                                        <img src="/images/@Model.ModelImagesList[i + j].U_ModCode/@Model.ModelImagesList[i + j].U_File">
                                                    </div>
                                                }
                                            </div>
                                        }
                                    }
                                    <!-- /item -->
                                </div>
                                <!-- /carousel-inner -->
                                <a class="left carousel-control" href="#thumbcarousel" role="button" data-slide="prev">
                                    <span class="glyphicon glyphicon-chevron-left"></span>
                                </a>
                                <a class="right carousel-control" href="#thumbcarousel" role="button" data-slide="next">
                                    <span class="glyphicon glyphicon-chevron-right"></span>
                                </a>
                            </div>
                            <!-- /thumbcarousel -->
                        </div>
                    </div>
                </div>
                <div class="col-md-8">
                    @Html.Partial("_DetailList", Model.SkuModelList)
                </div>
            </div>
            <div class="clear"></div>
            <div class="modal-footer">
                <button class="btn btn-lg btn-default pull-right" type="button" data-dismiss="modal">@PDM.Cancel</button>
                <button id="ModelMatrixAddButton" class="btn btn-lg btn-success pull-right" type="button" onclick="PasteItems();">@PDM.Add</button>
            </div>
        </div>
    </div>
</div>

<style type="text/css">
    .carousel-inner > .item > img, .carousel-inner > .item > .active > img {
    width: auto;
    margin: auto;
    display: block;
    }

    .item .thumb {
    width: 25%;
    cursor: pointer;
    float: left;
    }

    .item .thumb img {
    width: auto;
    max-height: 80px;
    display: block;
    }
</style>